#!/bin/sh
# Titre et emplacement : /root/my-applications/ae/MRUD-lst.sh
# Dérivé de http://openbox.org/wiki/Openbox:Pipemenus:recentfilesxbel
# Merci au groupe openbox et à stu91 pour le tuyau.
# Adapté par musher0 pour aemenu, fin oct. - début nov. 2012
# Rév. : 15 oct. 2013, 16 nov. 2013 (MRUD-lst.sh, v. 0.3)
# Dépendances : aemenu, replaceit, /root/.local/share/recently-used.xbel, 
# /root/.recently-used.xbel (actif)
####
# Préparation pour aemenu
export AEM="/root/my-applications/ae"
[ ! -d $AEM ] && mkdir $AEM
# pour .recently-used.xbel
[ ! -f /root/.recently-used.xbel ] && ln -s /root/.local/share/recently-used.xbel /root/.recently-used.xbel
# Langues (pour le titre)
case ${LANG%_*} in
	 ca) DOCREC="Documents recents";;
	 en) DOCREC="Recent Documents";;
	 es) DOCREC="Documentos recientes";;
	 fi) DOCREC="Viimeisimmät tiedostot";;
	 fr) DOCREC="Documents récents";;
#	 gr) DOCREC="Πρόσφατα Έγγραφα" 
# Désactivé car il faudrait aussi traiter les accents en grec (ci-dessous).
	 it) DOCREC="Documenti recenti";;
	 pl) DOCREC="Ostatnie dokumenty";;
	 pt) DOCREC="Documentos recentes";;
	 ro) DOCREC="Documente recente";;
esac
> $AEM/recents
echo "-wide config file for aewm clients" >> $AEM/recents
echo "# aemenu pour MRUD-lst.sh" >> $AEM/recents
echo >> $AEM/recents
echo "cmd \"`date '+    %a. %d %b., %R'`\" \"/root/my-applications/bin/hic-et-nunc.sh\"" >> $AEM/recents
echo "cmd \"> $DOCREC <\" \"\"" >> $AEM/recents
echo "cmd \"~~~~~~~~~~~~~~~~~\" \"\"" >> $AEM/recents

# Coeur du script d'origine # Merci au groupe openbox (cf ci-dessus).
cat ~/.recently-used.xbel | grep file:/// | tail -n15 | cut -d "\"" -f 2 > $AEM/MRUD.lst
# J'ai enlevé : "| tac" de l'original. # m0

# Adaptation pour lancement avec les types "mime" de rox 
# ou le defaultlauncher de Puppy, plutôt qu'avec xdg-open
R="replaceit --input=$AEM/MRUD.lst"
$R "file:///" "/"
$R "/initrd/mnt/dev_save" "/mnt/home"
# Code html
$R "&amp;" "&"
$R "&apos;" "'"

# The following lines to translate UTF-8 XML code to regular accented characters; 
# you may comment these lines if you are using only English.
# Traduction du codage XML pour les accents. 
$R "%C2%A0" " " 
$R "%C2%A1" "¡"
$R "%C2%A2" "¢"
$R "%C2%A3" "£"
$R "%C2%A4" "¤"
$R "%C2%A5" "¥"
$R "%C2%A6" "¦"
$R "%C2%A7" "§"
$R "%C2%A8" "¨"
$R "%C2%A9" "©"
$R "%C2%AA" "ª"
$R "%C2%AB" "«"
$R "%C2%AC" "¬"
$R "%C2%AD" " " 
$R "%C2%AE" "®"
$R "%C2%AF" "¯"
$R "%C2%B0" "°"
$R "%C2%B1" "±"
$R "%C2%B2" "²"
$R "%C2%B3" "³"
$R "%C2%B4" "´"
$R "%C2%B5" "µ"
$R "%C2%B6" "¶"
$R "%C2%B7" "·"
$R "%C2%B8" "¸"
$R "%C2%B9" "¹"
$R "%C2%BA" "º"
$R "%C2%BB" "»"
$R "%C2%BC" "¼"
$R "%C2%BD" "½"
$R "%C2%BE" "¾"
$R "%C2%BF" "¿"
$R "%C3%80" "À"
$R "%C3%81" "Á"
$R "%C3%82" "Â"
$R "%C3%83" "Ã"
$R "%C3%84" "Ä"
$R "%C3%85" "Å"
$R "%C3%86" "Æ"
$R "%C3%87" "Ç"
$R "%C3%88" "È"
$R "%C3%89" "É"
$R "%C3%8A" "Ê"
$R "%C3%8B" "Ë"
$R "%C3%8C" "Ì"
$R "%C3%8D" "Í"
$R "%C3%8E" "Î"
$R "%C3%8F" "Ï"
$R "%C3%90" "Ð"
$R "%C3%91" "Ñ"
$R "%C3%92" "Ò"
$R "%C3%93" "Ó"
$R "%C3%94" "Ô"
$R "%C3%95" "Õ"
$R "%C3%96" "Ö"
$R "%C3%97" "×"
$R "%C3%98" "Ø"
$R "%C3%99" "Ù"
$R "%C3%9A" "Ú"
$R "%C3%9B" "Û"
$R "%C3%9C" "Ü"
$R "%C3%9D" "Ý"
$R "%C3%9E" "Þ"
$R "%C3%9F" "ß"
$R "%C3%A0" "à"
$R "%C3%A1" "á"
$R "%C3%A2" "â"
$R "%C3%A3" "ã"
$R "%C3%A4" "ä"
$R "%C3%A5" "å"
$R "%C3%A6" "æ"
$R "%C3%A7" "ç"
$R "%C3%A8" "è"
$R "%C3%A9" "é"
$R "%C3%AA" "ê"
$R "%C3%AB" "ë"
$R "%C3%AC" "ì"
$R "%C3%AD" "í"
$R "%C3%AE" "î"
$R "%C3%AF" "ï"
$R "%C3%B0" "ð"
$R "%C3%B1" "ñ"
$R "%C3%B2" "ò"
$R "%C3%B3" "ó"
$R "%C3%B4" "ô"
$R "%C3%B5" "õ"
$R "%C3%B6" "ö"
$R "%C3%B7" "÷"
$R "%C3%B8" "ø"
$R "%C3%B9" "ù"
$R "%C3%BA" "ú"
$R "%C3%BB" "û"
$R "%C3%BC" "ü"
$R "%C3%BD" "ý"
$R "%C3%BE" "þ"
$R "%C3%BF" "ÿ"
# Liste de conversion ci-dessus tirée de http://jeppesn.dk/utf-8.html

# Exemple de ma hiérarchie de documents | Example of my documents hierarchy
# (Dés)activer si vous n'en avez pas besoin. | (De)activate if you don't need it.
$R "/root/my-documents/clients" "/mnt/home/clients"
$R "/root/my-documents/boulot" "/mnt/home/boulot"

# If you have moved the "my-documents" folder to mnt/home
# Remove the "#" sign. | Enlevez le dièse si vous avez déménagé
# le répertoire "my-documents" dans /mnt/home.
# $R "/root/my-documents" "/mnt/home/my-documents"
# $R "/root/mes-documents" "/mnt/home/mes-documents"

sort -fu --output=$AEM/MRUD.tri $AEM/MRUD.lst
uniq -u $AEM/MRUD.tri > $AEM/MRUD.lst  # Fonctionne ! :-)

# Du script d'origine # Merci au groupe openbox (cf ci-dessus).
while read line
do  
file=$(echo "$line")
name=$(echo -en "$file" | sed 's,.*/,,' | sed 's/%20/ /g')
#
# Mettre des adaptations pour divers gest. de fen. ici.
# Adaptation par musher0 pour aemenu et Puppy | Toutou
echo "cmd \"$name\" \"defaulthandler $line\"" >> $AEM/recents
done < $AEM/MRUD.lst
echo "cmd \"~~~~~~~~~~~~~~~~~\" \"\"" >> $AEM/recents
echo  "cmd \"Effacer la liste\" \">/root/.local/share/recently-used.xbel;>$AEM/recents\"" >> $AEM/recents
# Pour le débogage
echo "cmd \"Éditer ce menu\" \"leafpad $AEM/recents\"" >> $AEM/recents
# Nettoyage
rm -f $AEM/MRUD.lst
rm -f $AEM/MRUD.tri
# Lancement d'aemenu 
$AEM/aemenu -rc $AEM/recents
## 30 ##
